package solution;

import org.junit.jupiter.api.Test;
import starter.Stack;
import starter.StackTest;

public class ArrayStackTest extends StackTest {
  private final static int SIZE = 1100000;

  @Override
  protected Stack<Integer> createStack() {
    return new ArrayStack<>();
  }

  @Test
  public void stressTestPush() {
    for (int i = 0; i < SIZE; i++) {
      stack.push(i);
    }
  }
}
